<?php
/*
Plugin Name: SquareOne Collection
Plugin URI: squareone-collection
Description: The SquareOne Collection for Genesis Blocks
Version: 1.0
Author: Appfinite
Author URI: https://appfinite.com
License: GPLv3
License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/

function squareone_collection() {
	// Ensure a proper version of Genesis Blocks is active before continuing.
	if ( ! function_exists( 'genesis_blocks_register_layout_component' ) ) {
		return;
	}
	// Register the squareone Home Layout
	genesis_blocks_register_layout_component(
		[
			'type'       => 'layout',
			'key'        => 'squareone_home',
			'name'       => 'SquareOne Home Page',
			'content'    =>  require 'layouts/home.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Home',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/squareone_layout_thumbnail_home.png',
			'collection' => [
                'slug'  => 'squareone',
                'label' => 'SquareOne Collection',
                'thumbnail'      => plugin_dir_url(__FILE__) . 'assets/squareone_section_thumbnail_home.png',
            ],
		],
	);
	// Register the squareone Hero Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'squareone_hero',
			'name'       => 'squareone Hero',
			'content'    =>  require 'sections/hero.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Hero',
				'Photo',
				'Header',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/hero.png',
            'collection' => [
                'slug'  => 'squareone',
                'label' => 'SquareOne Collection',
            ],
		],
	);
	// Register the squareone 2 Columns Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'squareone_2_columns',
			'name'       => 'squareone 2 Columns',
			'content'    =>  require 'sections/2-columns.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'2 Columns',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/2-columns.png',
			'collection' => [
                'slug'  => 'squareone',
                'label' => 'SquareOne Collection',
            ],
		],
	);
	// Register the squareone Team Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'squareone_team',
			'name'       => 'squareone Team',
			'content'    =>  require 'sections/team.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'team',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/team.png',
			'collection' => [
                'slug'  => 'squareone',
                'label' => 'SquareOne Collection',
            ],
		],
	);
	// Register the squareone Connect Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'squareone_connect',
			'name'       => 'squareone Connect',
			'content'    =>  require 'sections/connect.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'connect',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/connect.png',
			'collection' => [
								'slug'  => 'squareone',
								'label' => 'SquareOne Collection',
						],
		],
	);
	// Register the squareone Numbers Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'squareone_numbers',
			'name'       => 'squareone Numbers',
			'content'    =>  require 'sections/numbers.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'numbers',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/numbers.png',
			'collection' => [
								'slug'  => 'squareone',
								'label' => 'SquareOne Collection',
						],
		],
	);
	// Register the squareone Quote Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'squareone_quote',
			'name'       => 'squareone Quote',
			'content'    =>  require 'sections/quote.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'quote',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/quote.png',
			'collection' => [
								'slug'  => 'squareone',
								'label' => 'SquareOne Collection',
						],
		],
	);
	// Register the squareone Testimonial Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'squareone_testimonial',
			'name'       => 'squareone Testimonial',
			'content'    =>  require 'sections/testimonial.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Testimonial',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/testimonial.png',
			'collection' => [
                'slug'  => 'squareone',
                'label' => 'SquareOne Collection',
            ],
		],
	);
	// Register the squareone Pricing Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'squareone_pricing',
			'name'       => 'squareone Pricing',
			'content'    =>  require 'sections/pricing.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'pricing',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/pricing.png',
			'collection' => [
                'slug'  => 'squareone',
                'label' => 'SquareOne Collection',
            ],
		],
	);
	// Register the squareone Newsletter Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'squareone_newsletter',
			'name'       => 'squareone Newsletter',
			'content'    =>  require 'sections/newsletter.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'newsletter',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/newsletter.png',
			'collection' => [
                'slug'  => 'squareone',
                'label' => 'SquareOne Collection',
            ],
		],
	);
}
add_action( 'plugins_loaded', 'squareone_collection', 12 );
